
              -------- I  T  A  N  E  T --------

                    RETE  PACKET  ITALIANA



CONFIGURAZIONE HARDWARE DELLA SCHEDA SBCC186 PER ITANET

Le note che seguono si riferiscono alle modifiche e configurazioni
hardware da apportare alla scheda SBCC186 qualora si intenda
utilizzare il software ITANET scritto da Iv3zxf.

Si tenga presente che l'utilizzo della scheda con questo software
permette di ottenere 4 "porte" cui collegare indifferentemente modem
1200/2400/9600/38400/1.228 Kb baud e relativi standard di modulazione
(AFSK-G3RUH-MANCHESTER-PSK) oppure link tipo "KISS" e "SLIP MODE" su
livelli TTL, per interfacciamento di Personal Computer, altri tipi di
TNC/NODI, ecc.

E' inoltre da tener presente che le 4 "porte" vengono cosi' suddivise:
le prime 2 (gestite in DMA) possono essere indifferentemente
programmate per qualsiasi velocita' fino a 1.228 Kb e NON POSSONO
ESSERE CONFIGURATE IN KISS-MODE, mentre le rimanenti 2 possono essere
configurate ANCHE in kiss (o come porta "radio") ma a velocita' NON
SUPERIORI a 38400 baud.

Sulla porta PARALLELA e' previsto l'inserimento di una interfaccia che
permette il collegamento di una sorgente video monocromatica
(telecamera) di cui vengono rese disponibili le immagini prelevabili
via radio con protocollo YAPP o AUTOBIN.
Sempre, tramite le porte parallele, e tramite un semplice circuito
esterno e' possibile collegare tra loro due schede Itanet ottenendo
cosi' un sistema componibile per adesso fino a 8 canali di cui 4 con
velocita' sino ad 1,2 Mb.
Naturalmente la presenza di una funzionalita' esclude l'altra in
quanto entrambi utilizzano le stesse porte.

Il "pacchetto ITANET" comprende gli stampati Sbcc186 e Acc186, il
manuale tecnico delle 2 schede, e una dischetto contenente diversi
file che permettono di costruire, testare e rendere operativo il
sistema ITANET con estrema facilita'.

Una serie di questi file servono alla configurazione del sistema
e sono presenti in ogni nuova versione del software che viene
distribuito, questi sono:
  Itanet.Man   ==>> Questo file
  Itanet.Upd   ==>> Lista degli aggiornamenti fatti sul software
                    dalla versione 00
  Zxfnode1.Img ==>> File di Img per la creazione delle eprom
  Cfgzxf.Exe   ==>> Configurazione nodo richiamato da Itacfg.Bat
  Creaupl.Exe  ==>> Creazione file per il caricamento da remoto del
                    software richiamato da Itacfg.Bat
  Split.Exe    ==>> Crea i file per la programmazione delle eprom
                    richiamato da Itacfg.Bat
  Itacfg.Bat   ==>> Bat di configurazione del sistema
  Calcpw.Exe   ==>> Permette di calcolare la password di ITANET
  Pwd.Txt      ==>> Numeri per il calcolo della password

Altri file servono ad agevolare l'assemblaggio delle schede Sbcc186
e Acc186 e sono:
  Itanet.Gif   ==>> Piano di montaggio
  Itanet_1.Gif ==>> Collegamento led per Dcd e Ptt su ogni porta
  Itanet_2.Gif ==>> Esempi di settaggio Jumper Jp5 e Jp6
  Mod_dma.Gif  ==>> Modifica della scheda per la gestione del Dma
  Reset.Gif    ==>> Collegamento della scheda Acc186 per la gestione
                    del reset.
  Kiss.Gif     ==>> Collegamento della scheda Acc186 per la gestione
                    di una semplice porta seriale per il kiss.
  G3ruh.Gif    ==>> Esempio di collegamento di un modem G3ruh.
  G3ruh-a.Gif  ==>> Modifica al modem G3ruh per il silenziamento
                    del segnale Tx durante la Ricezione.
  Manch.Gif    ==>> Esempio di collegamento di un modem manchester.
  Stack5.Gif   ==>> Schema della interfaccia per collegare tramite
                    porta parallela due schede Sbcc186.
  Sbccpar.Gif  ==>> Esempio di collegamento per parallelo tra due
                    schede Sbcc186.

Nella scelta dei componenti per il montaggio della scheda SBCC186
porre particolare attenzione alle seguenti particolarita':
a) microprocessore 80c186 da almeno 12 Mhz
b) 2 ram statiche da 128K nei primi due banchi di memoria (U12 U13),
   velocita' non superiore a 70 nS.
c) 4 ram statiche da 32K nei restanti 4 banchi di memoria (U14 U15 U16
   U17), velocita' non superiore a 70 nS.
d) 2 Scc 85C30 (con la "c") da almeno 8 mhz (non 8530 !!)
e) 1 oscillatore per il clock del processore nella frequenza di
   24 Mhz.
f) 1 oscillatore per il clock delle Scc 85c30 nella frequenza di
   4.9152 Mhz.
g) 2 EPROM 27c512 (U10 U11)

ATTENZIONE: se vi attenete alle istruzioni di montaggio contenute del
MANUALE scritto da IW3QBN/IK4IRO per la scheda SBCC186, fate
attenzione che molte istruzioni sono DISCORDANTI con quelle che state
ora leggendo: questo e' dovuto al fatto che il manuale Tsteam era
stato scritto 3 ANNI PRIMA che si sviluppasse il software ITANET, per
cui e' OBSOLETO!  Per cui ove le indicazioni fossero discordanti,
seguite quelle indicate in questo capitolo.

E' necessario effettuare la MODIFICA PER IL DMA sul SCC 85C30 u19,
quello piu' esterno rispetto alla scheda SBCC186, come indicato nella
MOD_DMA.GIF, perche'il software ITANET la richiede.  Allo scopo si
utilizza un integrato TTL (74hc04 u20) disponibile sulla stessa scheda
SBCC186 e parzialmente inutilizzato.

Nel manuale per il montaggio anzidetto (pag.31), troverete anche
l'elenco di alcuni BUG sulla scheda, principalmente dovuti ad
errori del CAD. Effettuate le relative correzioni cosi' come
indicato nel manuale stesso.

Nel piano di montaggio (pag.20) le 4 porte dove collegare i modem
sono siglate in modo errato rispetto a quanto previsto dal software
ITANET e vanno interpretate come segue:
     Jm3 = Porta 1 di ITANET
     Jm4 =   "   2 di    "
     Jm1 =   "   3 di    "
     Jm2 =   "   4 di    "

Per ciascuna delle 4 "prese modem" disponibili, gli unici piedini da
collegare al relativo modem sono GND TXD RXD DCD RTS. Nel caso del
KISS, sono da collegare solo GND TXD RXD.

Il piedino Rtxclk (riferito al solo scc 85c30 U19 porta 1 e 2 in dma)
serve a ricevere il clock rigenerato dallo Scambler qualora si
utilizzi un link con radio Psk e velocita' di 1,228 megabit.  Il
piedino Trxclk viene invece utilizzato per ricevere il clock
rigenerato dal modem G3ruh a 9600 baud qualora questo venga impiegato,
come indicato negli esempi presenti nel file ITANET_2.GIF.

Per convenienza di utilizzo, e' possibile collegare il catodo di un
LED a ciascuno dei segnali DCD e RTS di ogni "porta", e collegare
l'anodo di ciascun diodo led (mediante resistenza da 820 ohm) al
positivo +5 Volt  di alimentazione della scheda. Si avra' cosi' la
segnalazione immediata dei relativi stati logici PTT e DCD per
ciascuna "porta", come indicato nel file ITANET_2.GIF.

N.B. : nell'utilizzo "in postazione di montagna" delle schede
       ITANET, il solo "colpo d'occhio" a questi 8 diodi LED
       permette la rapida anche se empirica verifica dello
       stato di funzionamento di tutti i link operativi.

Per completare il sistema ITANET va aggiunto alla piastra Sbcc186 un
timer, contenuto nella scheda ACC186, che provvede a tenere sotto
controllo il funzionamento del microprocessore, prelevando e
controllando la "presenza" ciclica degli impulsi relativi o al segnale
Rts inviato al modem di una delle 4 porte, per esempio la 1, oppure
dal piedino 25 del processore.

Fino a che questi impulsi giungono al timer il circuito non
interviene, qualora, ad esempio per un errato caricamento di software
da remoto, il funzionamento del processore si bloccasse, ovviamente,
gli impulsi Rts e relativo ptt all'rtx collegato verrebbero a mancare
cosi' come pure il segnale presente nel piedino 25 del processore.

Trascorso il periodo impostato in base al clock, 10 minuti per assenza
di attivita' del ptt o 17 secondi per assenza di segnali dalla Cpu, il
timer aggiuntivo provvedera' al Reset di tutta la macchina e il
programma ripartira' considerando il software contenuto nelle Eprom
presenti nella scheda.

Per il funzionamento del timer e' necessario un clock da 4800 Hz per
la gestione con il ptt e di 307,2 Khz per quella sulla cpu
prelevabili, ad esempio, dal divisore master di un modem Manchester
presente in uno dei canali.

Nel file RESET.GIF e' indicato come collegare la scheda ACC186 per
ottenere in controllo sul segnale presente nel piedino 25 del
processore.


TEST di primo funzionamento:

Quale che sia la configurazione, accendendo per la prima volta la
scheda ITANET si dovra' notare una rapida e successiva accensione
momentanea dei led PTT di ciascuna porta, partendo dalla n.1.
Affinche' cio' si verifichi e' NECESSARIO che su tutte 4 le porte
venga montato e collegato il relativo modem, (interfaccia di livello
nel caso del KISS) e che il DCD corrispondente sia spento (canale
radio libero).

SOLAMENTE nel caso di porte configurate a 1200 baud AFSK e' necessario
impostare il parametro Dcd software a "SI" e lo squeltch della
relativa radio SIA TUTTO SEMPRE IN POSIZIONE APERTO, onde permettere
al "soffio" di raggiungere il modem stesso (led DCD sempre acceso). In
mancanza di DCD "acceso" per la sola porta a 1200 baud NON SI AVRA' la
relativa accensione del led PTT.


Consigli sull'alimentazione della scheda:

Trattandosi di una scheda a microprocesore, occorre disporre di una
singola alimentazione a 5 volt positivi, ottimamente livellata e
stabilizzata, e un idoneo contenitore in metallo schermante.  Ottimi
risultati sono stati ottenuti impiegando alimentatori da 12 V con
BATTERIA TIPO AUTO da 40 A/H in parallelo, e relativo stabilizzatore a
5 volt positivi.

Questa soluzione permette di avere una lunghissima autonomia del
sistema senza ricorrere a batterie ricaricabili da inserire
all'interno del contenitore dove e' la scheda digitale, e rappresenta
vista la bassissima resistenza interna dell'accumulatore, una
validissima protezione verso eventuali sovratensioni o scariche
elettriche.

La perturbazione del campo magnetico originata da modem e oscillatori
di ITANET non e' dannosa per altri apparati SOLO QUALORA si utilizzi
un contenitore metallico chiuso, con idonee prese per segnali e
alimentazioni.  Si raccomanda di inserire nello stesso contenitore sia
l'SBCC186 che i modem da collegare a quest'ultimo e di effettuare i
collegamenti verso questi con cavi non piu' lunghi di 20 cm.

In alcune postazioni di montagna, ove sono attivi numerosi
broadcasting con svariati Kw di potenza, e' necessario inserire
una impedenza di tipo Philips VK200 in serie a ciascun segnale che
entra o esce dall'ITANET compresi alimentazione e seriale.

Per le porte Radio di ITANET consiglio di adeguarsi allo standard
dei Tnc commerciali piu' diffusi ( Mfj, Drsi ecc. ) mettendo una
presa a 5 poli DIN (quelle usate nei sistemi HiFi per i segnali Audio).

Per avere la possibilita' di scambiare dei sistemi da una postazione
all'altra senza la necessita' di dover rifare ogni volta i connettori
tra Radio e Itanet consiglio di standardizzare anche i collegamenti
secondo la seguente disposizione:

1 = TX (segnale da inviare al trasmettitore)
4 = RX (segnale proveniente dal ricevitore)
2 = GND
5 = Libero
3 = PTT (portandolo a massa va in trasmissione)

                           /---------\
Vista frontale            /    \-/    \
del conettore            /             \
DIN femmina             /               \
da pannello             |  3         1  |
                        |               |
                        |               |
                        |  5         4  |
                        \               /
                         \      2      /
                          \           /
                           \---------/




GENERAZIONE DELLE EPROM PER ITANET (utilizzo del programma ITACFG.BAT)


In questo capitolo sono elencati i comandi sia nella gestione Utente
che Sysop, possono tuttavia mancare alcune implementazioni effettuate
sulle ultime release del software che sono indicate nel file
ITANET.UPL che e' allegato ad ogni rilascio.

Lanciando il programma "ITACFG nome-nodo" si ottiene una schermata
iniziale dove e' possibile immettere i dati di configurazione.  il
tasto "tabulatore" si utilizza per passare da un campo all'altro SENZA
VARIARNE il contenuto. Posizionandosi sopra un campo ed immettendo da
tastiera il relativo valore alfanumerico desiderato e premendo "ENTER"
si inserisce il nuovo valore.

Nominativo     : Nominativo del nodo senza ssid.

Alias          : Alias con cui puo' chiamato il nodo max. 6 caratteri.

Password       : 5 caratteri numerici per la gestione della password.
                 La stessa sequenza deve essere inserita nel file
                 Pwd.txt con le modalita' indicate nel capitolo
                 'Guida ai comandi menu' sysop'.

Clock          : Frequenza di clock della Cpu, si possono inserire
                 valori da 12 a 15 Mhz in base all'oscillatore presente
                 nella scheda da 24 Mhz a 30 Mhz.
                 default = 12.000.000

Numero Ip      : Rappresenta il numero Ip assegnato al nodo per il
                 funzionamento anche come Router Tcp-Ip.

P              : Presenza o meno della interfaccia parallela per
                 collegare 2 schede Sbcc186.
                 La porta parallela e' referenziata con il canale 9
                 in tutti i comandi e nelle varie tabelle, fa eccezione
                 il comando U nel quale viene riportata la lettera P.
                 N=non presente S=presente

L-R            : Indirizzo della scheda per la gestione della parallela.
                 Se e' stato indicato S nel parametro P debbono essere
                 attribuiti degli indirizzi univoci alle due schede
                 Sbcc collegate.
                 Per esempio nella Itanet A puo' essere immesso 1 e 0
                 e di conseguenza nella Itanet B deve essere caricato
                 0 e 1.

A questo punto, premendo il tasto F7 (a meno di rinunciare premendo
F1) si passa ad una tabella contenente, per 4 volte, i parametri di
funzionamento delle varie porte.
Se ne descrive una per semplicita':

Clock int/ext  : permette di settare il clock necessario alle SCC 8530
                 0 = viene utilizzato il Dpll interno (modem 1k2 e
                     38k4)
                 1 = Il clock viene fornito dal modem esterno (modem
                     a 1,228 Mbit
                 2 = il clock per la trasmissione viene ricavato dal
                     Dpll interno mentre quello per la ricezione viene
                     ricavato dal modem (Modem 9k6 G3ruh)

Baud           : velocita' in baud della relativa porta
                 sono ammessi 1200/2400/9600/19200/38400/1.228
                 (per 1.228 clock = 1 viene ignorato e quindi
                 si puo' mettere qualsiasi valore)

Txdelay        : valore in centesimi di secondo
                 inserire 1 per 1.228, 3 per 38.400, 25 per 9600 e
                          30 per 1200.

Txdecay        : Valori in centesimi di secondo
                 inserire 4 per 38400, 6 per 9600, 10 per 1200
                          1 per 1.228

Infradelay     : intervallo ripetizione tra Tx di un pacchetto e l'altro
                 1=1,228, 2=38400, 6=9600, 10=1200

Randommin      : rountine anticollisione minimo ritardo
                 15=1.228, 1=38400, 15=9600, 10=1200

Randommax      : rountine anticollisione massimo ritardo
                 25=1,228, 10=38400, 25=9600, 30=1200

Ignora dcd     : funzionamento in full-duplex solo porte 3 e 4
                 No=Hdlc, Si=Kiss/Slip

Kissmode       : per configurare la porta in Kiss solo 3 e 4
                 No=Hdlc, Si=Kiss

Tempo Ripetiz. : Rappresenta il Frack, cioe' il tempo di attesa in
                 centesimi di secondo per ricevere un ack dal
                 corrispondente.
                 100=1,228, 150=38400, 250=9600, 400=1200

Watchdog       : "cane da guardia"
                 200=1,228, 300=38400, 600=9600, 900=1200

Maxframe       : numero massimo di pacchetti trasmessi non confermati.
                 7=1.228/38400, 4=9600, 2=1200

Trasporto      : abilita il "livello di trasporto internodo di ITANET".
                 La funzione "Trasporto" permette di superare i limiti
                 del protocollo Ax25, facendo gestire la lunghezza del
                 pacchetto da inviare, ad ITANET e non vincolandola
                 piu' ai 256 byte previsti. Oltre a questo il software
                 attua una serie di funzioni per cercare di ragruppare
                 il massimo numero di pacchetti possibile prima di
                 effettuare la trasmissione, sopratutto quando questi
                 provengono da un canale standard Ax25.
                 La lunghezza dei pacchetti e' intorno ad 1 Kbyte e
                 quindi le porte che hanno il parametro in ON possono
                 lavorare correttamente solo se il corrispondente e'
                 un ITANET, ITAHOST con scheda Itacard, JNOS, TNOS e
                 altri.
                 SI=1.228/38400 NO=9600/1200

Digipeater     : gestione della funzione di digipeater
                 NO=Disabilitato
                 SI=Abilitato

Slipmode       : per configurare la porta in Slip solo per le porte
                 3 e 4.
                 Attenzione: se e' richiesta l'attivazione della
                 porta Slip devono essere impostati Kissmode=si e
                 Ignora dcd=si.
                 No=Hdlc, Si=Slip

Dcd software   : Abilita il dcd software per le porte a 1200 baud con
                 modem basato su 7910.
                 No=Dcd hardware, Si=Dcd software (solo 1200 baud)

A questo punto, compilate tutte 4 le tabelle, premendo f7 se si sara'
configurata almeno una porta in Kiss verra' richiesta la lista (fino a
6 nominativi) per i NOMINATIVI trasparenti alla porta.

In pratica, il traffico originato DA QUEI NOMINATIVI, verra' passato
"in trasparente" alla porta KISS senza essere elaborato in alcun modo
da ITANET.  Questo permette, l'utilizzo della scheda anche come SUPER
TNC a 4 porte, in configurazione MULTIKISS; oppure, collegando ad
ITANET tramite la porta KISS un PC su cui "gira" FBB + BPQ, sara'
possibile per l'utente chiamare DIRETTAMENTE il nominativo del BBS
stesso, senza prima collegare ITANET con nominativo relativo.

In questo caso il nominativo del BBS (senza SSID!) verra' inserito
nella lista dei nominativi trasparenti del kiss. Pure, l'inserimento
della stringa NODES permettera' il routing NETROM al BPQ. Immettendo
la stringa *ALL  TUTTO IL TRAFFICO delle 3 porte verra' dirottato
nella 4, in kiss. Questa configurazione NON DEVE ESSERE implementata,
salvo scopi di sperimentazione. Normalmente e' utile settare i 6
nominativi a spazi per evitare di sovraccaricare la porta KISS dal
trasferimento di tutto quanto captato dalle altre tre porte.

Premendo nuovamente il tasto F7 (seguito da F2) si otterra' la
generazione di due file, nome-nodo.EVN  e nome-nodo.ODD con i quali si
genereranno le relative eprom EVN ed ODD da inserire sulla scheda
SBCC186 e nome-nodo.UPL che potra' essere inviato ad ITANET via radio,
tramite una delle porte disponibili, mediante i comandi SYSOP di
seguito esposti.

ATTENZIONE: per il caricamento di questo file e' necessario un
progamma-terminale che operi come trasferimento di "file di testo
ASCII" in modo assolutamente trasparente. Sono stati positivamente
collaudati il software SKY-PACKET  SP9  TSTHOST (in modo  "send
text"), mentre il TPK non serve allo scopo!




GUIDA AI COMANDI MENU' USER


All'atto della connessione, ITANET risponde con una stringa di
"benvenuto" se il sysop ha provveduto a caricarla in memoria.
Diversamente, avremo solo un "prompt" .
Se si invia un "enter, si ottiene la stringa completa dei comandi:

XX:YYYYY> Cn Auto Inf J Lst Nodi Ut Ve W Y Tcp Fine

Per eseguire il comando e' sufficente digitare il solo carattere
evidenziato con la lettera maiuscola.

Cn        permette la connessione con altri nodi ITANET
          (rilevabili dalla tabella Nodi) oppure ad un utente
          qualora questo sia attivo sullo stesso nodo ITANET
          oppure sia presente nella tabella Auto in cui
          vengono automaticamente registrati i dati di
          provenienza dell'utente stesso (ad ogni connessione
          al sistema ITANET, viene elaborato automaticamente
          il data-base corrispondente). Se viene richiesta la
          connessione per un nominativo che non e' presente
          ne' nella tabella NODI ne' in quella AUTO, viene
          richiesto il NUMERO DELLA PORTA dalla quale deve
          "uscire" la chiamata .( esempio: C 1 IK6VQM)
          Immettendo il parametro /R si abilita la funzione
          di Reconnected ( esempio:  C nominativo /R ).
          Per collegare l'eventuale altro Itanet collegato
          tramite interfaccia parallela indicare il canale
          9 nel comando (C 9 XXXXXX).

Auto      come sopra esposto, e' la tabella in cui compaiono
          tutti i nominativi di utente per i quali sono
          disponibili le informazioni che permettono la
          chiamata a distanza dello stesso attraverso
          l'intera rete ITANET.
          Il canale 9 indica la porta parallela.
          Per un corretto utilizzo della funzione e'
          importante evitare i loop ritornando all'ITANET
          iniziale. Questo perche' se qualcuno ci chiama
          puossono verificarsi chiamate tra i vari ITANET
          all'infinito provocando Qrm inutile e traffico
          che non serve a nessuno.
          Se ci sono dubbi si puo' sempre visualizzare la
          tabella in questione.

Inf       File di testo (caricato via remoto dal Sysop)
          con informazioni sul sistema

J         Consente di verificare l'instradamento dei numeri Ip.
          Digitando J numero-Ip viene indicato il nodo o la porta
          dove, in base alla tabella delle Routes settata dal
          sysop, sara' indirizzato un eventuale pacchetto Tcp-Ip
          che abbia quel numero come destinatario.
          Se viene restituita la stringa 'Null' significa che
          non e' previsto nessun indirizzamento per quel
          numero.

Lst       Lista degli ultimi 24 nominativi "ascoltati"
          con indicazione di data, ora e porta relativa
          porta, il canale 9 indica la parallela.

Nodi      Tabella (caricata dal Sysop da remoto) con l'elenco
          dei nodi/bbs/nominativi per i quali il Sysop ha
          registrato  manualmente il path di chiamata

Ut        Elenco degli utilizzatori collegati al nodo in quel
          momento, con indicazione di orario, porta (la parallela
          viene indicata con P) e quantita' di dati
          trasmessi/ricevuti in Kbit.

Ve        Permette di conoscere la Versione del software.

W         Download in modo Autobin della immagine presente sulla
          telecamera eventualmente collegata.

Y         Download in modo Yapp della immagine presente sulla
          telecamera eventualmente collegata.

Tcp       Permette la visualizzazione del numero Ip assegnato al
          nodo.

Fine      chiusura della sessione di collegamento

N.B. il download di immagini registrate dall'eventuale interfaccia
     video sulla scheda Sbcc186 ITANET comportano il trasferimento
     di un file di circa 90 Kb.
     La visualizzazione dell'immagine avverra' mediante apposito
     software View (a suo tempo immesso in rete) sotto ambiente
     Windows, con scheda grafica settata a 256 colori.
     La funzione non e' attiva quando nel sistema e' presente
     l'interfaccia che permette di collegare due schede Sbcc tramite
     la porta parallela.




GUIDA AI COMANDI MENU' SYSOP


All'atto della connessione di ITANET, attraverso il comando S (sysop
mode) si riceve una stringa di 5 caratteri numerici.  L'inserimento
della password corretta si ottiene come segue:  Nel dischetto
distribuito sono presenti 2 file CALCPW.EXE e PWD.TXT quest'ultimo non
e' altro che un file di testo che deve contenere nel primo byte delle
5 righe presenti i numeri inseriti nel campo Password all'atto della
configurazione del nodo.

Eseguendo il programma CALCPW con i 5 numeri che ITANET ha restituito
come risposta al comando S ( esempio: Calcpw 25 67 123 456 5 ), si
otterra' un solo numero da digitare cosi' come indicato nel pgm.
terminale adoperato.

Se tutto e' stato fatto correttamente si verra' abilitati al seguente
sotto-menu comandi Sysop.

XX:YYYYY> Az fLt Er No Ro Pa H I K Bn St M T > Fin O

Az         consente di AZZERARE le statistiche che si visualizzano
           con il comando Stat e di pulire l'area di memoria dove
           sono registrati gli errori di sistema che possono essere
           listati con il comando Er.

fLt        funzione prevista ma non implementata.

Er         viene visualizzata la lista delle eventuali situazioni
           critiche che il software ha rilevato durante il suo
           funzionamento.
           In pratica e' un'autodiagnostica utile per chi sviluppa
           il software che permette di conoscere in maniera precisa
           cosa e' avvenuto.
           L'area si cancella con il comando Az.

No         Gestione tabella dei nodi, viene visualizzato il seguente
           menu':

XX:YYYYY> Nodi: Car Sal Pul Vis Edt Dwn Upl Fin

Car        permette il carico della tabella nodi, ricaricando
           quella memorizzata in precedenza nelle Ram di ITANET
           se precedentemente e' stato eseguito il comando Pul
           per errore, oppure permette l'acquisizione di quanto
           inviato con il comando Upl.

Sal        consente di trasferire nella "parte alta"
           della memoria della scheda SBCC186 (quella che
           puo' impiegare le due eprom tamponate da 32 K)
           i dati corrispondenti alla tabella dei nodi

Pul        Consente la totale cancellazione della
           tabella dei nodi

Vis        Consente la visione di tutta la tabella dei
           nodi, con indicazione del Path ed altro

Edt        Per aggiungere o cambiare i dati relativi ad
           un nodo, si procede come di seguito indicato.
           Supponiamo di voler inserire il nodo ANC:IR6ANC
           nella tabella, e supponiamo che questo nodo sia
           raggiungibile mediante la porta 1 dell'ITANET.
           La procedura e' la seguente:  Edit (nome
           nodo),(alias nodo),(porta di connessione oppure
           nodo di tramite),(descrizione),(parametri).
           Si possono aggiungere i seguenti parametri:
           /SV        - abilitazione al servizio di autoconnessione
           /NU        - impedisce la visualizzazione del nodo con
                        il comando Nodi
           /NC        - impedisce la connessione al nominativo indicato
                        con qualsiasi SSID (black list)
           /I         - abilitazione alla creazione dello speciale link
                        per il trasporto dei pachetti TCP-IP
           /NB=IRxxxx - Indica il nodo, dove deviare la connessione,
                        se, dopo tre tentativi, il link primario non
                        risponde.
           /B=n       - Indica la porta dove deviare la connessione
                        se, dopo tre tentativi, il link primario non
                        risponde.
           L'inserimento del parametro "/SV" che abilita
           l'autoconnessione, va fatto solo verso i nodi
           visti direttamente e considerato che questo modifica la
           struttura del pacchetto standard di SABM e' da
           caricare solo nei link con altri Itanet o Supervozelj.
           Se presente nei collegamenti verso sistemi di tipo
           Thenet provoca il blocco di quest'ultimo al primo
           pacchetto ricevuto.
           Per referenziare la porta parallela indicare il canale
           numero 9.
           La procedura per l'inserimento di un nodo
           collegabile direttamente risulterebbe:
           E IR6ANC,ANC,1,NODO DI ANCONA /SV
           La procedura per l'inserimento di un nodo non
           collegabile direttamente risulterebbe:
           E IR6ANC,ANC,IR6MC,NODO DI ANCONA

           Nella appendice B e' illustrato un metodo per
           agevolare il mantenimento della tabella.

Dwn        Consente di ottenere il contenuto della tabella in formato
           testo in modo da poterlo editare.

Up         Permette il caricamento della tabella partendo da un file
           in formato testo, simile a quello scaricato con la funzione
           Dwn.
           Una volta digitato il comando Itanet risponde di inviare
           il File e di concludere con /EX in maniera analoga a quanto
           previsto per per i testi di Benvenuto, Info e Html.
           Per rendere operativa la nuova tabella, dopo aver dato
           il comando /EX, digitare il comando Ca.

Fin        ritorna al menu' SYSOP.

(PROSEGUE L'ANALISI DEI COMANDI IN SYSOP-MODE:)

Dmp        comando nascosto di servizio che permette di listare il
           contenuto della memoria della scheda per il numero
           di byte specificato.
           Dump xxxx yyyy
             x = indirizzo di memoria (facendolo precedere dal
                                       carattere $ il formato e'
                                       esadecimale, senza il
                                       formato e' decimale)
             y = numero dei byte da listare


Ro         Gestione tabella delle Routes, viene visualizzato il
           seguente menu':

XX:YYYYY> Rou: Ca Sa Pul Vis Edt Dwn Up J(instr) Fi

Ca         permette il carico della tabella delle routes, ricaricando
           quella memorizzata in precedenza nelle Ram di ITANET
           se precedentemente e' stato eseguito il comando Pul
           per errore, oppure permette l'acquisizione di quanto
           inviato con il comando Upl.

Sa         consente di trasferire nella "parte alta"
           della memoria della scheda SBCC186 (quella che
           puo' impiegare le due eprom tamponate da 32 K)
           i dati corrispondenti alla tabella delle Routes.

Pul        Consente la totale cancellazione della
           tabella delle Routes.

Vis        Consente la visione di tutta la tabella delle
           Routes.

Edt        Permette di aggiungere o cambiare i dati presenti nella
           tabella delle Routes per l'instradamento dei pacchetti
           Tcp-Ip.
           La tabella e' costituita da 5 colonne:
           - Il numero Ip DA (su 4 byte)
           - Il numero Ip A  (su 4 byte)
           - Nominativo ax25 al quale trasferire il pacchetto TcpIp
             ricevuto. Puo' essere il nominativo di un Infranodo,
             quello di un Server oppure il numero della porta.
           - Tipologia del collegamento al quale trasferire i
             pacchetti TcpIp.
           - Eventuale numero della porta

           Per gestire, la tabella delle Route per il trasporto dei
           pacchetti Tcp-Ip, in maniera piu' razionale e' stata
           introdotta la gestione dei range di indirizzi.
           Si possono quindi associare ad un nodo un numero molto piu'
           rilevante di indirizzi Ip con una sola riga della tabella,
           evitando di inserire una riga per ogni numero di provincia
           come negli esempi riportati nelle precedenti versioni del
           software.
           La sintassi della nuova tabella delle Routes in Itanet e'
           la seguente:
              Num.Ip DA/Num.Ip A,Nominativo o Porta /Parametri

           I numeri Ip debbono essere completi con la presenza di
           tutte e 4 i byte che li compongono come indicato negli
           esempi che seguono.
           Vediamo come compilare la tabella in base alle tipologie
           gestite con l'aiuto di alcuni esempi.
           Infranodo = Oltre ai numeri Ip si dovra' indicare il
                       nominativo dell'infranodo che deve essere
                       gia' attivo immettendo il parametro /I sulla
                       tabella dei nodi.
                       E 44.134.128.000/44.134.208.255,IR6ANC

           Slip      = Se presente nella porta 3 o 4 un server
                       collegato in Slip va indicata la porta in
                       sostituzione del nominativo.
                       E 44.134.191.250 3

           Jnos      = Se da una delle porte di Itanet e' collegabile
                       un server Jnos o Tnos va indicato il nominativo
                       e i parametri /JNOSVC /P=X.
                       Il primo parametro indica l'interfaccia di tipo
                       VC con un JNOS e l'altro la porta dalla quale
                       e' collegabile.
                       Da notare e' che la modalita' VC non obbliga a
                       mantenere i pacchetti a 256 byte in quanto
                       Itanet puo' operare con pacchetti fino a
                       1024 Byte.
                       E 44.134.191.250 IR4TCP /JNOSVC /P=2

           Itacard   = Valogono le stesse modalita' del jnos.

           Nella appendice B e' illustrato un metodo per
           agevolare il mantenimento della tabella.

Dwn        Consente di ottenere il contenuto della tabella in formato
           testo in modo da poterlo editare.

Up         Permette il caricamento della tabella partendo da un file
           in formato testo, simile a quello scaricato con la funzione
           Dwn.
           Una volta digitato il comando Itanet risponde di inviare
           il File e di concludere con /EX in maniera analoga a quanto
           previsto per per i testi di Benvenuto, Info e Html.
           Per rendere operativa la nuova tabella, dopo aver dato
           il comando /EX, digitare il comando Ca.

J(instr)   Consente di vedere, una volta che e' stata caricata la
           tabella delle Routes, a quale nodo viene trasferito il
           pacchetto Tcp-Ip e quindi poter verificare cosa succede
           quando e' richiesta la connessione ad un destinatario con
           il numero specificato.
           Digitando "I Numero-Ip-Destinatario" Itanet risponde con il
           nominativo del nodo al quale sara' passato il pacchetto
           Tcp-Ip.

Fin        ritorna al menu' SYSOP.


(PROSEGUE L'ANALISI DEI COMANDI IN SYSOP-MODE:)


Pa         permette la modifica da remoto dei parametri
           operativi originariamente settati in fase di
           generazione delle eprom.
           Per quanto riguarda valori consigliati e loro
           significato fare riferimento al capitolo di
           generazione file per ITANET.

I          permette il carico da remoto di un file di
           testo che potra' essere letto dagli utenti con
           il comando Info.
           L'invio del file (max. 5k) deve concludersi con
           /EX (maiuscolo!) su singola linea.
           Nella appendice C e' illustrato un metodo per
           agevolare l'inserimento del testo.

H          permette il carico da remoto di un file in formato
           Htlm che viene inviato a fronte di richieste al server
           Web identificato dall'indirizzo IP del nodo.
           L'invio del file (max. 5k) deve concludersi con
           /EX (maiuscolo!) su singola linea.
           Nella appendice C e' illustrato un metodo per
           agevolare l'inserimento del testo.

Bn         permette il carico da remoto della stringa di
           benvenuto ricevuta ad ogni connessione.
           terminare con /EX  (come sopra)
           Nella appendice C e' illustrato un metodo per
           agevolare l'inserimento del testo.

K          permette di forzare la disconnessione di una
           connessione attiva.
           Formato del comando K xxxxxxx yyyyyy dove
           x e y sono la coppia di call della sessione da
           chiudere non importa se di entrata o uscita.

St         Permette la visualizzazione di una tabella con
           dati statistici per ogni singola porta.
           Vengono indicati: Ora di sistema, memoria
           disponibile, numero di accensioni del DCD della
           porta, ora di ricezione dell'ultimo pacchetto
           valido, Kbit ricevuti, Kbit trasmessi,
           percentuale di accensione del DCD e del PTT
           riferiti all'ultimo minuto (dati indispensabili
           per conoscere da remoto lo stato di utilizzo
           dei link)

M          Gestione caricamento nuovo software e reset, viene
           visualizzato il seguente menu':

XX:YYYYY> Microcodice: Up App @res Sysop

Up         Permette di caricare una nuova versione del
           software da remoto. Oltre al comando si deve
           indicare il numero di byte che il sistema deve
           riservare per l'uploading.
           Il programma alloca in maniera automatica i prima 64 Kb
           e quindi si dovra' indicare nel comando la rimanente
           memoria da acquisire nel caricamento.
           Per le ultime versioni sono richiesti 92 Kb complessivi
           quindi basta digitare UP 36000 per avere un buon
           margine di sicurezza.
           ITANET riservera' la memoria indicata per il caricamento
           e rispondera' Busy ad ulteriori richieste di connessione
           che dovessero portare la memoria del sistema ad un
           punto critico.
           Quando il sistema e' in grado di caricare il nuovo
           software rispondera'  PRONTO, a questo punto si puo',
           per esempio con il Tsthost in formato Send, caricare
           il file nome-nodo.Upl creato all'atto della configurazione
           del nodo.
           Al termine del caricamento l'ITANET rispondera' indicando
           l'esito del trasferimento e il numero dei byte coinvolti
           nell'operazione.

App        Permette, una volta che il caricamento da remoto del nuovo
           software ha avuto esito positivo, di portarlo in memoria,
           questa operazione provoca il reset dell'ITANET con
           conseguente sconnessione di tutti i collegamenti attivi.

@Res       Permette, il RESET dell'ITANET con caricamento del
           software presente nelle Eprom (Reset a freddo).

!          E' un comando nascosto che permette di effettuare
           il RESET dell'ITANET senza perdere la versione caricata
           sulla Ram (Reset a caldo).

Sysop      ritorna al menu' SYSOP.


(PROSEGUE L'ANALISI DEI COMANDI IN SYSOP-MODE:)

T          e' forse il piu' importante comando
           sysop, permette la ricezione da remoto di tutto
           il "traffico" sentito da una data "porta".
           Si abilita con comando T seguito dal numero
           della porta desiderata. Si disabilita con
           "enter". Ogni pacchetto ricevuto indica la
           relativa indicazione di ORARIO e NUMERO DI
           CARATTERI.

>          permette di mandare in trasmissione per un
           certo tempo  il trasmettitore di una "porta"
           voluta: sintassi > (numero porta) (tempo in
           cent. di secondo) Tempo massimo dipende dal
           circuito di watchdog del modem presente
           (comando utilizzato durante la fase di
           puntamento delle antenne dei link)

F          esce dal sottomenu' SYSOP e ritorna in quello
           UTENTE. Attenzione, se si invia nuovamente il
           comando Sysop si viene nuovamente abilitati
           senza dover immettere nuovamente la password.

O          permette di monitorare i pacchetti TcpIp in
           modo molto dettagliato, conoscendo cosi' cosa
           avviene nel sistema e come e dove vengono
           trasferiti i dati dal Router di Itanet.
           Il monitor si attiva digitando O e rimane attivo
           sino a quando non viene ridato di nuovo il comando.
           Attivare questa funzione solo per effettuare dei
           controlli in quanto genera per ogni pacchetto TcpIp
           diversi pacchetti Ax25.




FUNZIONALITA' E STANDARD DELLA GESTIONE TCP-IP.


Ad iniziare dalla versione 26 del software Itanet e' possibile
effettuare il routing dei pacchetti Tcp-Ip utilizzando, in modo
trasparente per l'utente, la nostra rete come se fosse Internet.

Inoltre e' possibile inserire tramite un apposito comando (vedere
capitolo: Guida ai comandi menu' sysop) un testo in formato Html in
modo da avere per ogni nodo un server Web di 5 Kb.

Per consentire il trasferimento dei pacchetti IP da un nodo all'altro
e' stato implementato un protocollo di comunicazione a basso livello
tra i nodi.
Esso prevede l'apertura di una connessione Ax.25 (di servizio che
da questo momento chiameremo Infranodo), tra un nodo e l'altro,
attraverso la quale, incapsulati in opportuni header, vengono
trasferiti i pacchetti Ip.

L'apertura delle sessioni Infranodo avviene attraverso il parametro
 /I da inserire dopo la descrizione del nodo nella tabella dei nodi
di Itanet.
Il parametro puo' essere immesso solo nei nodi collegabili direttamente
cioe' quelli che hanno il numero della porta e non in quelli che hanno
il nome di un altro nodo.

Quando nel nodo e' presente il parametro descritto sopra, Itanet
inizia una procedura di connessione automatica ad esso.
L'Itanet corrispondente riconosce la particolare chiamata e se il nodo
chiamante non e' presente nella sua tabella lo crea automaticamente.
Qualora  per un motivo qualunque tale link dovesse cadere, il primo
nodo, dopo un certo intervallo di tempo, ritentera' la chiamata.

Attraverso questa sessione permanente, salvo problemi nei collegamenti
dei nodi, transiteranno i soli pacchetti Tcp-Ip in transito da un
nodo a l'altro, in un formato particolare che e' gestito in modo
completamente automatico dalla funzione di Infranodo

In ogni Itanet e' implementato un server Telnet che permette di
accedere a tutti i servizi gestiti dal nodo anche accedendovi in
modalita' Tcp-Ip e un server Web di 5 Kb che permette in maniera
grafica Html e quindi molto piu' guidata, di avere delle info sulla
postazione e sui collegamenti attivi.

Sempre per la gestione dei pacchetti IP e' presente una tabella
delle Routes che serve a decidere, una volta ricevuto un pacchetto a
quale nodo trasferirlo.
Per gestire, la tabella delle Route per il trasporto dei pacchetti
Tcp-Ip, in maniera piu' razionale e' stata introdotta la gestione dei
range di indirizzi.
Si possono quindi associare ad un nodo, un numero molto rilevante
di indirizzi Ip, con una sola riga della tabella.
La sintassi della tabella delle Routes in Itanet e' indicata
nel capitolo dei comandi riservati al Sysop.

Itanet per decidere dove inviare un determinato pacchetto IP analizza
la tabella delle Routes con il numero del destinatario e quando
questo indirizzo cade in un range previsto lo trasferisce al nodo
indicato.
Se la ricerca ha avuto un esito negativo allora il pacchetto viene
perso per la mancanza di in indirizzamento valido.

Per poter vedere, una volta che e' stata caricata la tabella delle
Routes, a quale nodo viene trasferito il pacchetto Tcp-Ip e quindi
poter verificare cosa succede quando e' richiesta la connessione ad un
destinatario con un determinato numero, e' stato introdotto il comando
J nel menu' utenti e in quello delle Routes.
Digitando "J Numero-Ip-Destinatario" Itanet risponde con il nominativo
del nodo al quale sara' passato il pacchetto TcpIp.

In Itanet per avere la compatibilita' con i programmi che gestiscono
il Tcp-Ip quali Jnos, Tnos, ecc. e' stata aggiunta la gestione del PID
(Protocol Identifier Field) dell'ax25 con le modalita' presenti in
questi prodotti.
Quindi configurando correttamente le tabelle Arp e Route di
quest'ultimi e' possibile accedere al server Telnet e Web presenti in
Itanet oppure ad eventuali server presenti in rete o comunque
raggiungibili dal nodo in maniera diretta.

Sempre con i prodotti del tipo Jnos e Tnos sara' possibile sfruttare
la gestione dei pacchetti lunghi di Itanet, Trasporto in ON, ed e'
quindi possibile impostare un Paclen fino a 1024 Byte anche in modalita'
VC aumentando considerevolmente l'efficenza del sistema.

Da quanto detto sopra se ne deduce che per avere delle Routes
affidabili e corrette e' importantissimo, come del resto avviene per
Internet, una gestione degli indirizzi molto scrupolosa.

Per quanto concerne la numerazione e' possibile gestire sia quella
di una Intranet del tipo di quella indicata nei meeting di Casinalbo
e nella presentazione di Pordenone sia quella standard della attuale
rete Tcp-Ip.

Vale la pena comunque di ricordare che l'attuale formulazione dei
numeri Ip inserita in una rete abbastanza capillare come e' Itanet
si e' dimostrata assolutamente insufficente costringendo i vari
Sysop ad un maggior lavoro per una buona compliazione delle tabelle
di Routes.
Senza stravolgere nulla sarebbe senz'altro migliore una numerazione
tipo di quella a suo tempo consigliata per la Intranet che si voleva
creare.

Di seguito e' riportato, a titolo esclusivamente informativo, lo
studio fatto a suo tempo sulla numerazione per avere un sistema
piu' razionale e capillare che non stravolga l'attuale metodologia.

Il primo numero identifica la rete 10 per la intranet e 44 per la
standard, il secondo numero identifica il paese per l'Italia e' il
134.

Le particolarita' riguardano il terzo numero e visto che la logica
e' la stessa per entrambe le numerazioni riporto per la Intranet
tutti i dettagli e per lo standard solo la numerazione finale.


                          I N T R A N E T
                          ---------------


Il 3 numero, in realta' e' la rappresentazione in decimale di una
sequenza di 8 bit.  I primi 4 bit (i piu' significativi) indicano la
"Macro-Zona" e "Regione" come previsto nello attuale standard di
numerazione della rete Tcp-Ip, i restanti 4 bit (i meno
significativi), non utilizzati nella rete Tcp-Ip, sono invece molto
importanti nella "Intranet" in quanto esprimono la Provincia dove e'
residente il nodo e l'utente.

L'Italia viene divisa in quattro zone, individuate dai primi 2 bit,
ogni zona viene successivamente divisa in quattro Regioni individuate
dai due bit successivi, ogni Regione viene suddivisa nelle Provincie
che la compongono individuate dai restanti quattro bit.
Le quattro zone sono:

             Zona               ! valore dei bit   !
       -------------------------+------------------+
       Nord                     ! 1 0              !
       Centro-Nord              ! 1 1              !
       Centro                   ! 0 0              !
       Sud                      ! 0 1              !


Le quattro Regioni che compongono la zona Nord sono:

             Regione            ! valore dei bit   !
       -------------------------+------------------+
       Piemonte e Valle d'Aosta ! 1 0 0 0          !
       Liguria                  ! 1 0 0 1          !
       Lombardia (I2)           ! 1 0 1 0          !
       Venezie e Trentino       ! 1 0 1 1          !


Le quattro Regioni che compongono la zona Centro-Nord sono:

             Regione            ! valore dei bit   !
       -------------------------+------------------+
       Emilia Romagna (I4)      ! 1 1 0 0          !
       Toscana e isole          ! 1 1 0 1          !
       Umbria                   ! 1 1 1 0          !
       Marche                   ! 1 1 1 1          !


Le quattro Regioni che compongono la zona Centro sono:

             Regione            ! valore dei bit   !
       -------------------------+------------------+
       Riserva                  ! 0 0 0 0          !
       Sardegna e isole         ! 0 0 0 1          !
       Lazio                    ! 0 0 1 0          !
       Abruzzo                  ! 0 0 1 1          !

Le quattro Regioni che compongono la zona Sud sono:

             Regione            ! valore dei bit   !
       -------------------------+------------------+
       I7                       ! 0 1 0 0          !
       I8 (esclusa Calabria)    ! 0 1 0 1          !
       Calabria                 ! 0 1 1 0          !
       Sicilia                  ! 0 1 1 1          !

Le Provincie che compongono la Regione Piemonte e Valle d'Aosta sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Aosta                    ! 1 0 0 0 0 0 0 0  !      128        !
       Verbania                 ! 1 0 0 0 0 0 0 1  !      129        !
       Biella                   ! 1 0 0 0 0 0 1 0  !      130        !
       Novara                   ! 1 0 0 0 0 0 1 1  !      131        !
       Vercelli                 ! 1 0 0 0 0 1 0 0  !      132        !
       Torino                   ! 1 0 0 0 0 1 0 1  !      133        !
       Alessandria              ! 1 0 0 0 0 1 1 0  !      134        !
       Asti                     ! 1 0 0 0 0 1 1 1  !      135        !
       Cuneo                    ! 1 0 0 0 1 0 0 0  !      136        !

Le Provincie che compongono la Regione Liguria sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Imperia                  ! 1 0 0 1 0 0 0 0  !      144        !
       Savona                   ! 1 0 0 1 0 0 0 1  !      145        !
       Genova                   ! 1 0 0 1 0 0 1 0  !      146        !
       La Spezia                ! 1 0 0 1 0 0 1 1  !      147        !

Le Provincie che compongono la Regione Lombardia sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Sondrio                  ! 1 0 1 0 0 0 0 0  !      160        !
       Lecco                    ! 1 0 1 0 0 0 0 1  !      161        !
       Como                     ! 1 0 1 0 0 0 1 0  !      162        !
       Varese                   ! 1 0 1 0 0 0 1 1  !      163        !
       Bergamo                  ! 1 0 1 0 0 1 0 0  !      164        !
       Brescia                  ! 1 0 1 0 0 1 0 1  !      165        !
       Milano                   ! 1 0 1 0 0 1 1 0  !      166        !
       Lodi                     ! 1 0 1 0 0 1 1 1  !      167        !
       Pavia                    ! 1 0 1 0 1 0 0 0  !      168        !
       Cremona                  ! 1 0 1 0 1 0 0 1  !      169        !
       Mantova                  ! 1 0 1 0 1 0 1 0  !      170        !

Le Provincie che compongono la Regione Venezie sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Bolzano                  ! 1 0 1 1 0 0 0 0  !      176        !
       Trento                   ! 1 0 1 1 0 0 0 1  !      177        !
       Udine                    ! 1 0 1 1 0 0 1 0  !      178        !
       Pordenone                ! 1 0 1 1 0 0 1 1  !      179        !
       Gorizia                  ! 1 0 1 1 0 1 0 0  !      180        !
       Trieste                  ! 1 0 1 1 0 1 0 1  !      181        !
       Belluno                  ! 1 0 1 1 0 1 1 0  !      182        !
       Treviso                  ! 1 0 1 1 0 1 1 1  !      183        !
       Vicenza                  ! 1 0 1 1 1 0 0 0  !      184        !
       Verona                   ! 1 0 1 1 1 0 0 1  !      185        !
       Venezia                  ! 1 0 1 1 1 0 1 0  !      186        !
       Padova                   ! 1 0 1 1 1 0 1 1  !      187        !
       Rovigo                   ! 1 0 1 1 1 1 0 0  !      188        !

Le Provincie che compongono la Regione Emilia Romagna (I4) sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Piacenza                 ! 1 1 0 0 0 0 0 0  !      192        !
       Parma                    ! 1 1 0 0 0 0 0 1  !      193        !
       Reggio Emilia            ! 1 1 0 0 0 0 1 0  !      194        !
       Modena                   ! 1 1 0 0 0 0 1 1  !      195        !
       Bologna                  ! 1 1 0 0 0 1 0 0  !      196        !
       Ferrara                  ! 1 1 0 0 0 1 0 1  !      197        !
       Ravenna                  ! 1 1 0 0 0 1 1 0  !      198        !
       Forli'                   ! 1 1 0 0 0 1 1 1  !      199        !
       Rimini                   ! 1 1 0 0 1 0 0 0  !      200        !

Le Provincie che compongono la Regione Toscana (I5) sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Massa                    ! 1 1 0 1 0 0 0 0  !      208        !
       Lucca                    ! 1 1 0 1 0 0 0 1  !      209        !
       Pistoia                  ! 1 1 0 1 0 0 1 0  !      210        !
       Prato                    ! 1 1 0 1 0 0 1 1  !      211        !
       Firenze                  ! 1 1 0 1 0 1 0 0  !      212        !
       Pisa                     ! 1 1 0 1 0 1 0 1  !      213        !
       Livorno                  ! 1 1 0 1 0 1 1 0  !      214        !
       Arezzo                   ! 1 1 0 1 0 1 1 1  !      215        !
       Siena                    ! 1 1 0 1 1 0 0 0  !      216        !
       Grosseto                 ! 1 1 0 1 1 0 0 1  !      217        !

Le Provincie che compongono la Regione Umbria sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Perugia                  ! 1 1 1 0 0 0 0 0  !      224        !
       Terni                    ! 1 1 1 0 0 0 0 1  !      225        !

Le Provincie che compongono la Regione Marche sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Pesaro                   ! 1 1 1 1 0 0 0 0  !      240        !
       Ancona                   ! 1 1 1 1 0 0 0 1  !      241        !
       Macerata                 ! 1 1 1 1 0 0 1 0  !      242        !
       Ascoli Piceno            ! 1 1 1 1 0 0 1 1  !      243        !

Le Provincie che compongono la Regione Sardegna sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Sassari                  ! 0 0 0 1 0 0 0 0  !       16        !
       Nuoro                    ! 0 0 0 1 0 0 0 1  !       17        !
       Oristano                 ! 0 0 0 1 0 0 1 0  !       18        !
       Cagliari                 ! 0 0 0 1 0 0 1 1  !       19        !

Le Provincie che compongono la Regione Lazio sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Viterbo                  ! 0 0 1 0 0 0 0 0  !       32        !
       Rieti                    ! 0 0 1 0 0 0 0 1  !       33        !
       Roma                     ! 0 0 1 0 0 0 1 0  !       34        !
       Frosinone                ! 0 0 1 0 0 0 1 1  !       35        !
       Latina                   ! 0 0 1 0 0 1 0 0  !       36        !

Le Provincie che compongono la Regione Abruzzo sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Teramo                   ! 0 0 1 1 0 0 0 0  !       48        !
       L'Aquila                 ! 0 0 1 1 0 0 0 1  !       49        !
       Pescara                  ! 0 0 1 1 0 0 1 0  !       50        !
       Chieti                   ! 0 0 1 1 0 0 1 1  !       51        !

Le Provincie che compongono la Regione Puglia e Basilicata pr. Matera
(I7) sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Foggia                   ! 0 1 0 0 0 0 0 0  !       64        !
       Bari                     ! 0 1 0 0 0 0 0 1  !       65        !
       Taranto                  ! 0 1 0 0 0 0 1 0  !       66        !
       Brindisi                 ! 0 1 0 0 0 0 1 1  !       67        !
       Lecce                    ! 0 1 0 0 0 1 0 0  !       68        !
       Matera                   ! 0 1 0 0 0 1 0 1  !       69        !

Le Provincie che compongono la Regione Molise, Campania e Basilicata
pr. Potenza (I8 esclusa Calabria) sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Campobasso               ! 0 1 0 1 0 0 0 0  !       80        !
       Isernia                  ! 0 1 0 1 0 0 0 1  !       81        !
       Caserta                  ! 0 1 0 1 0 0 1 0  !       82        !
       Benevento                ! 0 1 0 1 0 0 1 1  !       83        !
       Napoli                   ! 0 1 0 1 0 1 0 0  !       84        !
       Avellino                 ! 0 1 0 1 0 1 0 1  !       85        !
       Salerno                  ! 0 1 0 1 0 1 1 0  !       86        !
       Potenza                  ! 0 1 0 1 0 1 1 1  !       87        !

Le Provincie che compongono la Regione Calabria sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Cosenza                  ! 0 1 1 0 0 0 0 0  !        96       !
       Crotone                  ! 0 1 1 0 0 0 0 1  !        97       !
       Catanzaro                ! 0 1 1 0 0 0 1 0  !        98       !
       Vibo Valentia            ! 0 1 1 0 0 0 1 1  !        99       !
       Reggio Calabria          ! 0 1 1 0 0 1 0 0  !       100       !

Le Provincie che compongono la Regione Sicilia sono:

             Provincia          ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Messina                  ! 0 1 1 1 0 0 0 0  !      112        !
       Catania                  ! 0 1 1 1 0 0 0 1  !      113        !
       Siracusa                 ! 0 1 1 1 0 0 1 0  !      114        !
       Enna                     ! 0 1 1 1 0 0 1 1  !      115        !
       Ragusa                   ! 0 1 1 1 0 1 0 0  !      116        !
       Caltanisetta             ! 0 1 1 1 0 1 0 1  !      117        !
       Agrigento                ! 0 1 1 1 0 1 1 0  !      118        !
       Palermo                  ! 0 1 1 1 0 1 1 1  !      119        !
       Trapani                  ! 0 1 1 1 1 0 0 0  !      120        !



                   S T A N D A R D   T C P - I P
                   -----------------------------


             Regioni            ! valore dei bit   ! valore decimale !
       -------------------------+------------------+-----------------+
       Piemonte Valle D'Aosta   ! 1 0 0 0 0 0 0 0  !      128        !
       Liguria                  ! 1 0 0 1 0 0 0 0  !      144        !
       Lombardia I2             ! 1 0 1 0 0 0 0 0  !      160        !
       Venezie I3               ! 1 0 1 1 0 0 0 0  !      176        !
       Zona 4                   ! 1 1 0 0 0 0 0 0  !      192        !
       Zona 5                   ! 1 1 0 1 0 0 0 0  !      208        !
       Umbria                   ! 1 1 1 0 0 0 0 0  !      224        !
       Marche                   ! 1 1 1 1 0 0 0 0  !      240        !
       Riserva                  ! 0 0 0 0 0 0 0 0  !        0        !
       Sardegna                 ! 0 0 0 1 0 0 0 0  !       16        !
       Lazio                    ! 0 0 1 0 0 0 0 0  !       32        !
       Abruzzo                  ! 0 0 1 1 0 0 0 0  !       48        !
       Zona 7                   ! 0 1 0 0 0 0 0 0  !       64        !
       Zona 8 escusa Calabria   ! 0 1 0 1 0 0 0 0  !       80        !
       Calabria                 ! 0 1 1 0 0 0 0 0  !       96        !
       Sicilia                  ! 0 1 1 1 0 0 0 0  !      112        !


Il quarto numero rappresenta un progressivo in formato ascendente a
partire da 1 per gli utenti e discendente a partire da 254 per i nodi
in quanto il numero 255 e lo 0 sono nello standard riservati al
broadcast.




APPENDICI:


A) GESTIONE DELLE COLLISIONI:

Per far capire il funzionamento di questa funzionalita' mi avvalgo
dell'esempio che segue:  Un utente sta prelevando un file in un canale
di ITANET, il nodo gli trasmette alcuni frames, dopo di che aspetta
l'ACK (conferma) dall'utente....se questo non risponde entro breve
tempo con la conferma, il nodo pensera' che la causa della mancata
ricezione dell'ACK possa essere causata da due eventi:

a. L'utente ha trasmesso l'ACK, ma contemporaneamente a qualche altra
   stazione: si e' verificata una collisione.
b. L'utente non ha ricevuto alcun frame di quelli inviati dal nodo.

Dei due eventi segnalati ITANET presuppone che si sia verificato il
secondo (la trasmissione di un frame di Ack e' molto breve, meno di un
secondo, e quindi le probabilita' di collisione sono quasi nulle).

Il software, quindi pensera' che l'utente non abbia ricevuto nessun
frame; normalmente dovrebbe trasmettere quindi un frame di POLL (tipo
RRn+) per forzare l'utente a trasmettere la conferma, ITANET invece
adotta' un'altra strategia:  inviera' nuovamente il primo frame
precedentemente trasmesso con il POLL bit settato (frame informazione
tipo Inn+) .

In questo modo anziche' perdere tempo per inviare una richiesta di ACK
(trasmissione del Txdelay, del tempo di trasmissione di 18 byte che
costituiscono l'header AX.25 del frame, e del Txtail), vengono spesi
pochi millisecondi in piu' per trasmettere anche il primo frame
precedentemente inviato, che molto probabilmente non venne ricevuto
dalla stazione ricevente.

Questo sistema e' soprattutto molto valido nel caso di comunicazioni
difficili in cui la probabilita' di ricevere degli errori e' notevole,
e viene gestita da ITANET in modo automatico per tutte le porte senza
dover settare nessun parametro.


B) GESTIONE TABELLE NODI E ROUTES:

Tramite il programma Tsthost e' possibile caricare le tabelle in
questione in modo molto semplice e sopratutto automatico.

In questo programma, che considero il migliore, e' presente la
possibilita' di creare delle MACRO personalizzabili per esigenze
particolari, e' proprio questa funzione che viene utilizzata per poter
effettuare quanto indicato sopra.

Per la gestione del file Tsthost.mac vi prego di consultare il manuale
del prodotto dove sono indicate chiaramente le modalita' di
compilazione, di seguito indico come fare per effettuare il
caricamento con un esempio sul nodo Ir6anc [B].

Inserire nel file tsthost.mac i seguenti comandi:
# ********************************************************************
# macro per caricare in modo automatico i nodi su itanet IR6ANCB
# ********************************************************************
:NODIANCB
010 +SAY N
020 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
030 +say e IR6ANC,ANC,4,NODO DI ANCONA-A /SV
040 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
050 +say e IR6PSC,PSC,1,NODO DI PESARO /SV
060 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
070 +say e IR6MC,MC,1,NODO DI MACERATA /SV
080 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
090 +say e IR4BOL,BOL,IR6PSC,NODO DI BOLOGNA
100 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
110 +say e IR0PG,PG,IR6PSC,NODO DI PERUGIA
120 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
130 +say e IR0TR,TR,IR6PSC,NODO DI TERNI
140 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
150 +say e IR5ABS,SACOI,IR6PSC,NODO M.AMIATA LINK CON LA SARDEGNA
160 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
170 +say e IR0SAR,ISAR1,IR6PSC,NODO DI OLBIA
180 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
190 +say e IR0OR,ISAR2,IR6PSC,NODO DI ORISTANO
200 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
990 +say s
991 +waitstring 30 (20000) Nodi: Car Sal Pul Vis Edt Fin
992 mabort
#

Le stesse considerazioni valgono per l'iserimento della tabella
delle Routes.


C) INSERIMENTO INFO, BENVENUTO E SERVER WEB:

Tramite il programma Tsthost e' possibile caricare i file in
questione in modo molto semplice e sopratutto automatico.

Inserire nel file Tsthost.mac i seguenti comandi e creare il file
infoancb.txt che contiene il testo visualizzato dal comando I di
Itanet.

# ********************************************************************
# macro di caricamento info su ANC-B
# ********************************************************************
:INFOANCB
010 +SAY i
020 +waitstring 30 (20000) Digita testo,termina con "/EX"
030 +send c:\tst\infoancb.txt
040 +delay 60
050 +SAY /EX
060 mabort
#

Collegare l'Itanet da variare, entrare in modalita' sysop portare in
CMD il Tsthost e digitare INFOANCB.
Le stesse considerazioni valgono per gli inserimenti della stringa di
Benvenuto e del server Web, unica cosa da sostituire e' naturalmente
il file che contiene il testo.

